@import "../../styles/_keyframes.scss";
@import "../../styles/_typefaces.scss";
@import "../../styles/_variables.scss";

// Clock dot radius.
$clock_dot_radius: 1rem;

@media only screen and (max-width: 28rem) {
	.clock {
		.hours {
			> .hour {
				> .minor {
					visibility: hidden;
				}
			}
		}
	}
}

// Clock.
.clock {
	position: sticky;
	bottom: 0.4rem;
	box-sizing: border-box;
	margin: 0.4rem $event_min_width/2;

	// Clock wrapper.
	> .wrapper {
		position: relative;
		min-height: 2*$clock_dot_radius;
		display: flex;
		flex-direction: column;
		justify-content: center;

		// Dot.
		> .dot {
			position: absolute;
			margin-left: -$clock_dot_radius;
			height: $clock_dot_radius*2;
			width: $clock_dot_radius*2;
			clip-path: circle();

			animation: fade_in 1s ease-out;
			transition: background-color 1s ease;
		}

		// Hours.
		> .hours {
			position: relative;
			display: flex;
			justify-content: space-between;
			align-items: center;

			// Hour.
			> .hour {
				width: 0;
				display: flex;
				justify-content: center;

				// Text.
				> p {
					transition: color 1s ease;
				}

				// Hour lines.
				> .major, > .minor {
					border-style: solid;
					border-width: 0 0.5px;
					border-radius: 0.5px;
				}

				// Major hour lines.
				> .major {
					height: 0.5em;
				}

				// Minor hour lines.
				> .minor {
					height: 0.25em;
				}
			}
		}
	}
}